//---------------------------------------------------------------------------
// Name:        MosenpicSampleDlg.cpp
// Author:      emarti
// Created:     13.04.2006 15:50:37
//---------------------------------------------------------------------------

#include "MosenpicSampleDlg.h"

BEGIN_EVENT_TABLE(MosenpicSampleDlg,wxDialog)
	EVT_CLOSE(MosenpicSampleDlg::MosenpicSampleDlgClose)
	EVT_BUTTON(ID_WXBUTTON1,MosenpicSampleDlg::WxButton1Click)
END_EVENT_TABLE()

MosenpicSampleDlg::MosenpicSampleDlg(wxWindow *parent, wxWindowID id, const wxString &title, const wxPoint &position, const wxSize& size, long style)
: wxDialog(parent, id, title, position, size, style)
{
    CreateGUIControls();
}

MosenpicSampleDlg::~MosenpicSampleDlg() {} 

void MosenpicSampleDlg::CreateGUIControls(void)
{
	this->SetSize(8,8,250,150);
	this->SetTitle(wxT("Mosenpic Button Sample"));
	this->Center();
	this->SetIcon(wxNullIcon);
	
	WxScrolledWindow1 = new wxScrolledWindow(this, ID_WXSCROLLEDWINDOW1, wxPoint(0,0), wxSize(271,171), wxVSCROLL | wxHSCROLL);
	WxScrolledWindow1->SetBackgroundColour(wxColour(240,240,240));

	//Mosenpic Button
    wxBitmap bn,bo,bc,mbn,mbo,mbc;
    bn.LoadFile("xpnormal.bmp", wxBITMAP_TYPE_BMP); 
    bo.LoadFile("xpover.bmp", wxBITMAP_TYPE_BMP); 
    bc.LoadFile("xpclick.bmp", wxBITMAP_TYPE_BMP); 
	mbn.LoadFile("oknormal.bmp", wxBITMAP_TYPE_BMP); 
    mbo.LoadFile("okover.bmp", wxBITMAP_TYPE_BMP); 
    mbc.LoadFile("okclick.bmp", wxBITMAP_TYPE_BMP); 
	WxButton1 = new wxMosenpicButton(WxScrolledWindow1, ID_WXBUTTON1,15,15,&bn,&bo,&bc);
	WxButton2 = new wxMosenpicButton(WxScrolledWindow1, ID_WXBUTTON2,150,75,&mbn,&mbo,&mbc);
}

void MosenpicSampleDlg::MosenpicSampleDlgClose(wxCloseEvent& event)
{
    Destroy();
}
 
void MosenpicSampleDlg::WxButton1Click(wxCommandEvent& event)
{
	wxMessageBox(_T("Mosenpic Button Sample\nAuthor: Murat Ozdemir, emarti"));
}
