//---------------------------------------------------------------------------
// Name:        MosenpicSampleDlg.h
// Author:      emarti
// Created:     13.04.2006 15:50:37
//---------------------------------------------------------------------------

#ifndef __MOSENPICSAMPLEDLG_h__
#define __MOSENPICSAMPLEDLG_h__

#ifdef __BORLANDC__
	#pragma hdrstop
#endif

#ifndef WX_PRECOMP
	#include <wx/wx.h>
	#include <wx/dialog.h>
#else
	#include <wx/wxprec.h>
#endif
#include "class/mosenpicbut.h"
#include <wx/button.h>
#include <wx/scrolwin.h>

#ifndef wxCLOSE_BOX
	#define wxCLOSE_BOX 0x1000
#endif
#ifndef wxFIXED_MINSIZE
	#define wxFIXED_MINSIZE 0
#endif

#undef MosenpicSampleDlg_STYLE
#define MosenpicSampleDlg_STYLE wxCAPTION | wxSYSTEM_MENU | wxDIALOG_NO_PARENT | wxMINIMIZE_BOX | wxCLOSE_BOX

class MosenpicSampleDlg : public wxDialog
{
	private:
		DECLARE_EVENT_TABLE();
		
	public:
		MosenpicSampleDlg(wxWindow *parent, wxWindowID id = 1, const wxString &title = wxT("Mosenpic Sample"), const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, long style = MosenpicSampleDlg_STYLE);
		virtual ~MosenpicSampleDlg();
	
	public:
		wxMosenpicButton *WxButton1;
		wxMosenpicButton *WxButton2;
		wxScrolledWindow *WxScrolledWindow1;
	public:
		enum
		{
			ID_WXBUTTON1 = 1001,
			ID_WXBUTTON2 = 1002,
			ID_WXSCROLLEDWINDOW1 = 1003,
			
			ID_DUMMY_VALUE_ 
		};
	
	public:
		void MosenpicSampleDlgClose(wxCloseEvent& event);
		void CreateGUIControls(void);
		void WxButton1Click(wxCommandEvent& event);
};

#endif
