///////////////////////////////////////////////////////////////////////////////
// Name:		Mo(use)Sen(sitive)Pic(ture)But(ton).h
// Purpose:     Mouse Sensitive Picture Button
// Author:      emarti, Murat Ozdemir  e-mail: dtemarti<add>gmail<dot>com
// Created:     13.04.2006
// Copyright:   (c) emarti
// Licence:     wxWindows license
///////////////////////////////////////////////////////////////////////////////

#ifndef WXMOSENPICBUT_H
#define WXMOSENPICBUT_H

class wxMosenpicButton : public wxButton 
{ 
public: 
        wxMosenpicButton(wxWindow *parent, wxWindowID id, int x, int y, 
			const  wxBitmap* normalbitmap, const  wxBitmap* overbitmap, const  wxBitmap* clickbitmap); 
        virtual ~wxMosenpicButton(); 
		
		void In(wxMouseEvent& event); 
        void Out(wxMouseEvent& event); 
        void Clicked(wxMouseEvent& event); 
        void OnPaint(wxPaintEvent& event); 

private: 
		wxBitmap* m_bitmap; 
		wxBitmap* m_normalbitmap;
		wxBitmap* m_overbitmap;
		wxBitmap* m_clickbitmap; 
        wxSize m_size; 
		
		DECLARE_EVENT_TABLE() 
}; 

#endif

